Subject: Re: linux-next: Tree for Sep 19

From: Guenter Roeck <[email-masked]>
Date: Sat, 20 Sep 2014 14:01:39 -0700

On 09/20/2014 12:36 PM, Helge Deller wrote:
> Hi Günter,
>
> On 09/19/2014 09:15 PM, Guenter Roeck wrote:
>> On Fri, Sep 19, 2014 at 04:58:17PM +1000, Stephen Rothwell wrote:
>>> Changes since 20140917:
>>>
>>> The fsl tree still had its build failure so I used the version from
>>> next-20140917.
>>>
>>> The v4l-dvb tree lost its build failure.
>>>
>>> The security tree gained a conflict against the file-locks tree.
>>>
>>> Non-merge commits (relative to Linus' tree): 6014
>>>   5488 files changed, 217522 insertions(+), 129375 deletions(-)
>>>
>>> ----------------------------------------------------------------------------
>>>
>>
>> parisc:defconfig, parisc:generic-32bit_defconfig:
>>
>> --------------
>> Error log:
>> arch/parisc/kernel/ptrace.c: In function 'do_syscall_trace_enter':
>> arch/parisc/kernel/ptrace.c:274:2: error: implicit declaration of function
>> 'secure_computing' [-Werror=implicit-function-declaration]
>> cc1: some warnings being treated as errors
>> make[1]: *** [arch/parisc/kernel/ptrace.o] Error 1
>>
>> Bisect points to commit 273299fb6380 ('Merge branch 'x86/seccomp') which
>> obviously doesn't help much. Suspected culprit is c90f06943e05 ('parisc: Wire up
>> seccomp, getrandom and memfd_create syscalls') which seems to be missing an
>> include file.
>
> I could not reproduce this error with current git head.
>
With next-20140919 ?

> Nevertheless, it probably makes sense to #include <linux/seccomp.h> in ptrace.c to
> avoid a dependency on other header files to include it instead.
> I've added this patch to my for-next tree:
> http://git.kernel.org/cgit/linux/kernel/git/deller/parisc-linux.git/commit/?h=for-next&id=0f18557b017b3469e1f8edf5cf34c1cba856fdbe
>
> Could you try again?
>

That doesn't solve the problem for me, most likely because
HAVE_ARCH_SECCOMP_FILTER is not set for parisc in next-20140919.
This is what seccomp.h does with it:

#ifdef CONFIG_HAVE_ARCH_SECCOMP_FILTER
static inline int secure_computing(void) { return 0; }
#else
static inline void secure_computing_strict(int this_syscall) { return; }
#endif

You don't have this flag in your tree. It was introduced in -next with
commit 'seccomp,x86,arm,mips,s390: Remove nr parameter from secure_computing'.

Guenter